Status: Closed   

Priority: Normal   

Assignee: Samir Jha   

Category: Content Views   

Target version: Katello 4.11.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 2139834 Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/915

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2139834

Description of problem:

1. hammer content-view version info --organization-id 1  --lifecycle-environment 2022Q3V2_RHEL_7 --content-view

RHEL_7_DEV_contentview

Error: Missing options to search lifecycle_environment.

1. hammer content-view version info --organization-id 1  --lifecycle-environment Library --content-view RHEL_7_DEV_contentview

Error: Missing options to search lifecycle_environment.

Version-Release number of selected component (if applicable):

tfm-rubygem-hammer_cli-3.1.0.1-1.el7sat.noarch

Additional info:

1. hammer lifecycle-environment list --organization-id 1

---|-------------------------|------------------------

ID | NAME                    | PRIOR

---|-------------------------|------------------------

27 | 2022Q2V1_RHEL_7         | Library

25 | 2022Q2V1_RHEL_8         | Library

28 | 2022Q2V2_RHEL_7         | 2022Q2V1_RHEL_7

26 | 2022Q2V2_RHEL_8         | 2022Q2V1_RHEL_8

32 | 2022Q3V1_RHEL_7         | 2022Q2V2_RHEL_7

33 | 2022Q3V2_RHEL_7         | 2022Q3V1_RHEL_7

8  | DAILY_DEV               | Library

2  | EPEL_7_DEV              | Library

3  | EPEL_8_DEV              | Library

4  | EPEL_9_DEV              | Library

1  | Library                 |

5  | RHEL_7_DEV              | Library

6  | RHEL_8_DEV              | Library

7  | RHEL_9_DEV              | Library

64 | TEST_2022Q4V2_RHEL_7    | Library

68 | TEST_2022Q4V3_RHEL_7    | TEST_2022Q4V2_RHEL_7

29 | UBI_7_DEV               | Library

30 | UBI_8_DEV               | Library

31 | UBI_9_DEV               | Library

1. hammer content-view version info --organization-id 1  --lifecycle-environment-id 1 --content-view RHEL_7_DEV_contentview

Missing arguments for '--id'.

1. hammer content-view version info --organization-id 1  --lifecycle-environment-id 1 --content-view RHEL_7_DEV_contentview --id

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=2139834


5

Id:                     5

Name:                   RHEL_7_DEV_contentview 1.0

Version:                1.0

Description:            RHEL_7_DEV_contentview published by automation scripts

Content View ID:        5

Content View Name:      RHEL_7_DEV_contentview

Content View Label:     RHEL_7_DEV_contentview

Lifecycle Environments:

1) Id:    27

Name:  2022Q2V1_RHEL_7

Label: 2022Q2V1_RHEL_7

Repositories:

1) Id:    34

Name:  Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server

Label: Red_Hat_Enterprise_Linux_7_Server_RPMs_x86_64_7Server

2) Id:    37

Name:  Red Hat Enterprise Linux 7 Server - Extras RPMs x86_64

Label: Red_Hat_Enterprise_Linux_7_Server_-_Extras_RPMs_x86_64

3) Id:    36

Name:  Red Hat Enterprise Linux 7 Server - Optional RPMs x86_64 7Server

Label: Red_Hat_Enterprise_Linux_7_Server_-_Optional_RPMs_x86_64_7Server

4) Id:    35

Name:  EPEL_7_DEV_repo

Label: EPEL_7_DEV_repo

Associated revisions

Revision fee98736 - 11/08/2023 07:26 PM - Samir Jha 

Fixes #36900 - hammer content-view version info not working with --lifecycle-environment flag

(cherry picked from commit 76103d687092965d6afa67a39da95c7c9e3f146a)

History

#1 - 11/07/2023 07:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Samir Jha

- Pull request https://github.com/Katello/hammer-cli-katello/pull/915 added

#2 - 11/08/2023 06:36 PM - Chris Roberts

- Subject changed from hammer content-view version info not working with --lifecycle-environment flag

 to hammer content-view version info not working with --lifecycle-environment flag

- Target version set to Katello 4.11.0

- Triaged changed from No to Yes

#3 - 11/08/2023 08:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-katello|fee987369dee4a1cd29449cc22ef680dfddd328b.
